{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidEtablissement }}</div>
{% endblock %}

{% block formulaire %}
    {% if poForm.cnom is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.cnom, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.inbplaces is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.inbplaces, "Nb places ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10 col-xs-12">
                {{ form_widget(poForm.inbplaces, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

      {% if poForm.icouleur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10 col-xs-12">
                {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
				<input type='text' id="icouleur_spectrum"/>
				<input type='hidden' class="form-control" name="fEntityForm_groupes[icouleur]" id="fEntityForm_groupes_icouleur" value="{{ poForm.vars.value.icouleur }}"/>
				{% do poForm.icouleur.setRendered %}
				<script>
                                    LGSpectrum("#icouleur_spectrum","#fEntityForm_groupes_icouleur",function(color) {
							var colorRGB = color.toRgb() ;
							var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b)
							$("#fEntityForm_groupes_icouleur").val(colorI);
						});
					
				</script>
            </div>
        </div>
    {% endif %}
    
    {% if poForm.cnofiness is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.cnofiness, "N° FINESS ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.cnofiness, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    
{% endblock %}
